Bug 1493189 (CVE-2017-14228) - CVE-2017-14228 nasm: NULL pointer dereference in the paste_tokens function
Summary: CVE-2017-14228 nasm: NULL pointer dereference in the paste_tokens function
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-14228
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1493190
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-19 14:39 UTC by Andrej Nemec
Modified: 2019-09-29 14:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:25:38 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-09-19 14:39:36 UTC
In Netwide Assembler (NASM) 2.14rc0, there is an illegal address access in the function paste_tokens() in preproc.c, aka a NULL pointer dereference. It will lead to a denial of service.

Upstream issue:

https://bugzilla.nasm.us/show_bug.cgi?id=3392423

Comment 1 Andrej Nemec 2017-09-19 14:40:38 UTC
Created nasm tracking bugs for this issue:

Affects: fedora-all [bug 1493190]


Note You need to log in before you can comment on or make changes to this bug.